Crashpad

Public Attributes | List of all members
crashpad::ProcessInfo::Handle Struct Reference

## Public Attributes
std::wstring | type_name
| A string representation of the handle's type.
int | handle
| The handle's value.
uint32_t | attributes
| The attributes for the handle, e.g. `OBJ_INHERIT`, `OBJ_CASE_INSENSITIVE`, etc.
uint32_t | granted_access
| The `ACCESS_MASK` for the handle in this process. More...
uint32_t | pointer_count
| The number of kernel references to the object that this handle refers to.
uint32_t | handle_count
| The number of open handles to the object that this handle refers to.

## Member Data Documentation

## ◆ granted_access

uint32_t crashpad::ProcessInfo::Handle::granted_access

The `ACCESS_MASK` for the handle in this process.

See http://blogs.msdn.com/b/openspecification/archive/2010/04/01/about-the-access-mask-structure.aspx for more information.

The documentation for this struct was generated from the following files:

- util/win/process_info.h
- util/win/process_info.cc